---
lang: en
title: 'API docs: repository.repository'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.repository.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [repository](./repository.repository.md)

## repository namespace

<b>Signature:</b>

```typescript
export declare namespace repository 
```

## Functions

|  Function | Description |
|  --- | --- |
|  [getter(nameOrClass)](./repository.repository.getter.md) | Decorator used to inject a Getter for a repository Mainly intended for usage with repository injections on relation repository factory |


